Skip to main content
`Ctrl`+`K`

# VecScatterSetFromOptions

Configures the vector scatter from values in the options database.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterSetFromOptions(VecScatter sf)

Collective

## Input Parameter

- sf - The vector scatter

## Notes

To see all options, run your program with the -help option, or consult the users manual.

Must be called before `VecScatterSetUp()` and before the vector scatter is used.

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterCreate()`, `VecScatterDestroy()`, `VecScatterSetUp()`

## Level

beginner

## Location

src/vec/is/sf/interface/vscat.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages